﻿// // ******************************************************************
// //       /\ /|       @File         Protocol_RS232_Options.cs
// //       \ V/        @Brief
// //       | "")       @Author        lijinwen, ghz005@uni-trend.com.cn
// //       /  |        @Creation      2024-1-18
// //      /  \\        @Modified      2024-1-26
// //    *(__\_\
// // ******************************************************************
using System.Runtime.InteropServices;
using ComModel;

namespace TekWaveformSampling.Model;

[StructLayout(LayoutKind.Sequential)]
public struct Protocol_RS232_Options
{
    public uint BaudRate;
    public ProtocolBase.OddEvenCheck OddEvenCheckType;

    public CommonBase.Polarity Polarity;
    public CommonBase.SignalType SignalType;
    //public CommonBase.ChannelId Source;
    public CommonBase.MSBOrLSB MSBOrLSB;

    public Enums.DataBitWidth DataBitWidth;
    public Enums.StopBit StopBit;
    public float Threshold;
}
